# Please do not change this file.
#
# Put any changes into /etc/bash/preset/$LOCALPROFILE.bashrc
#

# Set PATH if it's not set, yet
if [ -z "$PATH" ]; then
	export PATH="/bin:/sbin:/usr/bin:/usr/sbin"
fi

# Is the shell interactive?
echo $- | grep -q i && export SHINTERACTIVE=1

# Is the shell running within a (possibly virtual) terminal?
tty >/dev/null && export SHTERM=1

# Is the shell's parent a ssh-daemon? If yes, we definitly
# want to thread it as a login-shell althoug it possibly
# didn't execute /etc/profile
if grep -q '^Name:[[:space:]]sshd$' /proc/$PPID/status; then
	SHPROFILE=1
fi

## If this is a 'su'-session, we might at least want to set $PATH
## correctly but some people don't like that. In any case 'su -' is
## the solution.
#if [ '/sbin:/bin:/usr/sbin:/usr/bin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin' = "$PATH" ]; then
#	SHPROFILE=1
#fi

# These lines will call the real bash-configuration file.
export LOCALPROFILE=default
if [ -e /etc/bash/selection ]; then
	_temp="`</etc/bash/selection`"
	if [[ $_temp =~ ^[-a-z0-9]+$ ]]; then
		if [ -e /etc/bash/preset/$_temp.bashrc ]; then
			LOCALPROFILE=$_temp
		fi
	fi
	unset _temp
fi
. /etc/bash/preset/$LOCALPROFILE.bashrc
