if [ 1 = "$SHPROFILE" ]; then
	if /usr/bin/tty | egrep -q '^/dev/tty[0-9]'; then _localtty=1; fi
	export FB_COLORIZE=2 FB_LSNICE=1 FB_NO_BASHCOMPLETION=0 FB_INSECURESHELL=0
	[ -r "$HOME"/.bash_options ] && . "$HOME"/.bash_options
	unset _disableafs
	if [ $UID != 0 -o -n "$SHFORCEAFS" ]; then
		FB_PATH=/bin:/sbin:/usr/bin:/usr/sbin:/afs/alpha/software/.scripts:/afs/alpha/software/scripts:/usr/games
		export PERL5LIB=/afs/alpha/software/.perllib:/afs/alpha/software/perllib
		export PYTHONPATH=/afs/alpha/software/.pythonlib:/afs/alpha/software/pythonlib
	else
		FB_PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/games
		export _disableafs=1
	fi
	if [ "$UID" = 0 -a -n "$_localtty" ]; then export TMOUT=7200; fi
	
	[ -d $HOME/bin ] && FB_PATH="$HOME/bin:$FB_PATH"
	[ -d /usr/fbin ] && FB_PATH="/usr/fbin:$FB_PATH"
	export PATH="$FB_PATH"
	unset FB_PATH
	export HOSTNAME=$(/bin/hostname) HISTSIZE=100000 PAGER=/usr/bin/less EDITOR=/usr/bin/joe HISTCONTROL=ignoreboth
	case "$FB_COLORIZE" in
		1)
			if [ $UID = 0 ]; then
				export PS1="\[\033[35;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
			else
				export PS1="\[\033[33;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
			fi
			eval `dircolors`
			export LS_COLORS
			;;
		2)
			if [ $UID = 0 ]; then
				export PS1="\[\033[35m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
			else
				export PS1="\[\033[33m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
			fi
			eval `dircolors`
			export LS_COLORS='no=00:fi=00:di=01;34:ln=36;04:pi=33:so=35:do=01;35:bd=33:cd=33:ex=32:or=40;31;01:*.tar=31:*.tgz=31:*.arj=31:*.zip=31:*.gz=31:*.bz2=31:*.deb=31:*.rpm=31:*.rar=31:*.jpg=35:*.JPG=35:*.jpeg=35:*.jpg=35:*.gif=35:*.bmp=35:*.pbm=35:*.pgm=35:*.ppm=35:*.xbm=35:*.xpm=35:*.tif=35:*.tiff=35:*.png=35:*.mov=32;04:*.mpg=32;04:*.mpeg=32;04:*.avi=32;04:*.AVI=32;04:*.ogm=32;04:*.wmv=32;04:*.ogg=35:*.mp3=35:*.MP3=35:*.wav=35:*.WAV=35'
			;;
		*)
			export PS1="\u@\h:\w > "
			;;
	esac
	[ linux != "$TERM" ] &&	PS1="\[\e]0;\u@\h: \w\a\]$PS1"
	[ $UID = 0 -a -n "$SHFORCEAFS" ] && PS1="afs_$PS1"
fi

if [ 1 = "$SHINTERACTIVE" ]; then
	LS_COL=""
	if [ -n "$FB_COLORIZE" ]; then
		if [ "$FB_COLORIZE" -ge 1 ]; then
			LS_COL=" --color=auto"
		fi
	fi
	if [ 1 != "$FB_INSECURESHELL" ]; then
		alias mv='mv -i'
		alias rm='rm -i'
	fi
	
	alias dir="ls -laQF $LS_COL"
	alias ls="ls -QF $LS_COL"
	alias ll="ls -l$LS_COL"
	alias la='ls -A'
	alias fb_features='cp /etc/bash/preset/alpha.options ~/.bash_options;echo "I: you must relogin to use new bash_options."'
	unset LS_COL
	
	if ! export -p | grep -q 'declare -x PS1='; then
		case "$FB_COLORIZE" in
			1)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
				;;
			2)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
				;;
			*)
				export PS1="\[\e]0;\u@\h: \w\a\]\u@\h:\w > "
				;;
		esac
	fi
	if [ -n "$_disableafs" ]; then
		alias afs="echo 'I: Enabling AFS-environment' >&2;export SHFORCEAFS=1;/bin/bash -l"
	fi
	
	[ -r /etc/bash_completion -a 1 != "$FB_NO_BASHCOMPLETION" ] && . /etc/bash_completion
fi

shopt -s extglob checkwinsize
unset _localtty
