if [ 1 = "$SHPROFILE" ]; then
	if /usr/bin/tty | egrep -q '^/dev/tty[0-9]'; then _localtty=1; fi
	export FB_COLORIZE=0
	[ -r "$HOME/.bash_options" ] && . "$HOME/.bash_options"
	unset _disableafs
	if [ $UID != 0 -o -n "$SHFORCEAFS" ]; then
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/afs/cbs.mpg.de/software/scripts:/afs/cbs.mpg.de/software/scripts/science:/afs/cbs.mpg.de/software/bin/linux:/usr/games
		export PERL5LIB=/afs/cbs.mpg.de/software/perllib
		export PYTHONPATH=/afs/cbs.mpg.de/software/pythonlib/python3.5
	else
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/usr/games
		export _disableafs=1
	fi
	export LANG=en_US.UTF-8
	if [ -e ~/.config/language ]; then
		langdefault=`< ~/.config/language`
		case "$langdefault" in
			de)
				LANG=de_DE.UTF-8
				;;
			en)
				LANG=en_US.UTF-8
				;;
			*)
				LANG="$langdefault"
				;;
		esac
	fi
	export LC_ALL="$LANG"
	export HISTSIZE=50000
	export HISTCONTROL=ignoreboth
	export PAGER="/usr/bin/less"
	if [ -n "$_localtty" ]; then export TMOUT=1800; fi
	[ -d $HOME/perl ] && PERL5LIB="$PERL5LIB:$HOME/perl"
	[ -d $HOME/latex ] && export TEXINPUTS="$TEXINPUTS:$HOME/latex"
	[ -d $HOME/bib ] && export BIBINPUTS="$BIBINPUTS:$HOME/bib"

	case "$FB_COLORIZE" in
		1)
			export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
			eval `dircolors`
			export LS_COLORS
			;;
		2)
			export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
			export LS_COLORS='no=00:fi=00:di=01;34:ln=36;04:pi=33:so=35:do=01;35:bd=33:cd=33:ex=32:or=40;31;01:*.tar=31:*.tgz=31:*.arj=31:*.zip=31:*.gz=31:*.bz2=31:*.deb=31:*.rpm=31:*.rar=31:*.jpg=35:*.JPG=35:*.jpeg=35:*.jpg=35:*.gif=35:*.bmp=35:*.pbm=35:*.pgm=35:*.ppm=35:*.xbm=35:*.xpm=35:*.tif=35:*.tiff=35:*.png=35:*.mov=32;04:*.mpg=32;04:*.mpeg=32;04:*.avi=32;04:*.AVI=32;04:*.ogm=32;04:*.wmv=32;04:*.ogg=35:*.mp3=35:*.MP3=35:*.wav=35:*.WAV=35'
			;;
		*)
			export PS1="\[\e]0;\u@\h: \w\a\]\u@\h:\w > "
			;;
	esac
	[ $UID = 0 -a -n "$SHFORCEAFS" ] && PS1="afs_$PS1"
	[ -d "$HOME"/bin ] && PATH="$PATH:$HOME/bin"
fi

if [ 1 = "$SHINTERACTIVE" ]; then
	if [ -n "$FB_COLORIZE" ]; then
		if [ 0 != "$FB_COLORIZE" ]; then
			LS_COL=" --color=auto"
		fi
	fi

	alias dir="ls -laQF $LS_COL"
	alias lll="ls -laQF $LS_COL"
	alias ls="ls -QF $LS_COL"
	alias ll="ls -l $LS_COL"
	alias la='ls -A'
	if [ "$FB_INSECURESHELL" != "1" ]; then
		alias mv='mv -i'
		alias rm='rm -i'
	fi
	[ "$UID" = 0 ] && tty | egrep -q '^/dev/tty[0-9]' && export TMOUT=1800

	alias fb_features='cp /etc/bash/preset/cbs-fb.options $HOME/.bash_options'
	alias ..='cd ..;pwd'
	alias h='history | tail -50 | more'
	alias m=more
	if [ -n "$_disableafs" ]; then
		alias ssh='ssh -oGlobalKnownHostsFile=/dev/null'
		alias afs="echo 'I: Enabling AFS-environment' >&2;export SHFORCEAFS=1;/bin/bash -l"
	fi 
	xtitle () {
		echo -n -e "\033]2;$*\007"
	}

	if ! export -p | grep -q 'declare -x PS1='; then
		case "$FB_COLORIZE" in
			1)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
				;;
			2)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
				;;
			*)
				export PS1="\[\e]0;\u@\h: \w\a\]\u@\h:\w > "
				;;
		esac
	fi
	
	[ -r /etc/bash_completion -a 1 != "$FB_NO_BASHCOMPLETION" ] && . /etc/bash_completion

fi

if [ 1 = "$SHTERM" ]; then
	stty sane
fi

shopt -s extglob
unset _localtty
