if [ 1 = "$SHPROFILE" ]; then
	if /usr/bin/tty | egrep -q '^/dev/tty[0-9]'; then _localtty=1; fi
	# root gets and AFS-free environment when
	#    * uptime>600s and tty is not local
	#    * tty is local
	if [ $UID != 0 ] || [ $(/usr/bin/cut -d. -f1 /proc/uptime) -gt 600 -a -z "$_localtty" ] || [ -n "$SHFORCEAFS" ]; then
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/afs/cbs.mpg.de/software/scripts:/afs/cbs.mpg.de/software/scripts/science:/afs/cbs.mpg.de/software/bin/linux:/usr/games
		export PERL5LIB=/afs/cbs.mpg.de/software/perllib
		export PYTHONPATH=/afs/cbs.mpg.de/software/pythonlib/python3.5
	else
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/usr/games
		alias fb_afs="echo 'I: Forcing AFS-environment' >&2;export SHFORCEAFS=1;/bin/bash -l"
	fi
	if [ "$UID" = 0 -a -n "$_localtty" ]; then export TMOUT=1800; fi
	unset _localtty
	
	export LANG=en_US.UTF-8
	if [ -e ~/.config/language ]; then
		langdefault=`< ~/.config/language`
		case "$langdefault" in
			de)
				LANG=de_DE.UTF-8
				;;
			en)
				LANG=en_US.UTF-8
				;;
			*)
				LANG="$langdefault"
				;;
		esac
	fi
	export LC_ALL="$LANG"
	export PRINTER=printermeg
	export HISTSIZE=30000

	[ -d $HOME/perl ] && PERL5LIB="$PERL5LIB:$HOME/perl"
	[ -d $HOME/latex ] && export TEXINPUTS="$TEXINPUTS:$HOME/latex"
	[ -d $HOME/bib ] && export BIBINPUTS="$BIBINPUTS:$HOME/bib"


	export FB_COLORIZE=0 FB_LSNICE=0 FB_INSECURESHELL=0 FB_SCRIPTINFO=0 FB_NOAUTOSTATUS=0
	[ -r "$HOME/.bash_options" ] && . "$HOME/.bash_options"

	case "$FB_COLORIZE" in
		1)
			export PS1="\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
			eval `dircolors`
			export LS_COLORS
			;;
		2)
			export PS1="\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
			export LS_COLORS='no=00:fi=00:di=01;34:ln=36;04:pi=33:so=35:do=01;35:bd=33:cd=33:ex=32:or=40;31;01:*.tar=31:*.tgz=31:*.arj=31:*.zip=31:*.gz=31:*.bz2=31:*.deb=31:*.rpm=31:*.rar=31:*.jpg=35:*.JPG=35:*.jpeg=35:*.jpg=35:*.gif=35:*.bmp=35:*.pbm=35:*.pgm=35:*.ppm=35:*.xbm=35:*.xpm=35:*.tif=35:*.tiff=35:*.png=35:*.mov=32;04:*.mpg=32;04:*.mpeg=32;04:*.avi=32;04:*.AVI=32;04:*.ogm=32;04:*.wmv=32;04:*.ogg=35:*.mp3=35:*.MP3=35:*.wav=35:*.WAV=35'
			;;
		*)
			export PS1="\u@\h:\w > "
			;;
	esac

	[ -e "$HOME" ] && cd "$HOME"

	[ -d $HOME/bin ] && PATH="$PATH:$HOME/bin"
	[ -d $HOME/scripts ] && PATH="$PATH:$HOME/scripts"

	shopt -s extglob
	export PAGER="/usr/bin/less"
fi


if [ 1 = "$SHTERM" ]; then
	shopt -s checkwinsize
fi

if [ 1 = "$SHINTERACTIVE" ]; then
	LS_COL=""
	LS_NICEOPT=""

	[ "$TERM" != dumb ] && stty sane || true
	if [ -n "$FB_COLORIZE" ]; then
		if [ "$FB_COLORIZE" -ge 1 ]; then
			LS_COL=" --color=auto"
		fi
	fi
	if [ "$FB_LSNICE" = 1 ]; then
		LS_NICEOPT=" -QF"
	fi
	alias dir="ls -la$LS_NICEOPT$LS_COL"
	alias ls="ls$LS_NICEOPT$LS_COL"
	alias ll="ls -l$LS_COL"
	alias la='ls -A'
	if [ 1 != "$FB_INSECURESHELL" ]; then
		alias mv='mv -i'
		alias rm='rm -i'
	fi

	alias ub='cd /etc/bash;cp ~burk/bash/* .'
	alias fb_features='cp /etc/bash/preset/cbs-meg.options $HOME/.bash_options'

	unset LS_COL LS_NICEOPT

	if ! export -p | grep -q 'declare -x PS1='; then
		case "$FB_COLORIZE" in
			1)
				export PS1="\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
				;;
			2)
				export PS1="\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
				;;
			*)
				export PS1="\u@\h:\w > "
				;;
		esac
	fi
	
fi
