if [ 1 = "$SHPROFILE" ]; then
	if /usr/bin/tty | egrep -q '^/dev/tty[0-9]'; then _localtty=1; fi
	# root gets and AFS-free environment when
	#    * uptime>600s and tty is not local
	#    * tty is local
	if [ $UID != 0 ] || [ $(/usr/bin/cut -d. -f1 /proc/uptime) -gt 600 -a -z "$_localtty" ] || [ -n "$SHFORCEAFS" ]; then
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/afs/cbs.mpg.de/software/scripts:/afs/cbs.mpg.de/software/scripts/science:/afs/cbs.mpg.de/software/bin/linux:/usr/games
		export PERL5LIB=/afs/cbs.mpg.de/software/perllib
		export PYTHONPATH=/afs/cbs.mpg.de/software/pythonlib/python3.5
	else
		export PATH=/bin:/sbin:/opt/bin:/usr/bin:/usr/sbin:/usr/games
		alias fb_afs="echo 'I: Forcing AFS-environment' >&2;export SHFORCEAFS=1;/bin/bash -l"
	fi
	if [ "$UID" = 0 -a -n "$_localtty" ]; then export TMOUT=1800; fi
	unset _localtty
	export LANG=en_US.UTF-8
	if [ -e ~/.config/language ]; then
		langdefault=`< ~/.config/language`
		case "$langdefault" in
			de)
				LANG=de_DE.UTF-8
				;;
			en)
				LANG=en_US.UTF-8
				;;
			*)
				LANG="$langdefault"
				;;
		esac
	fi
	export LC_ALL="$LANG"
	
	[ -r "$HOME"/.bash_options ] && . "$HOME"/.bash_options
	export MAILNAME=cbs.mpg.de
	if [ "$UID" = 0 ]; then
	  export PS1="\[\e]0;\u@\h: \w\a\]\[\e[0;31m\]\h>\[\e[m\] "
	elif [ xterm = "$TERM" ]; then
	  export PS1="\[\e]0;\u@\h: \w\a\]\[\e]2;\w\a\]\u@\h> "
	else
	  export PS1="\[\e]0;\u@\h: \w\a\]\u@\h> "
	fi
	[ -d "$HOME"/bin ] && PATH="$PATH:$HOME/bin"
fi

if [ 1 = "$SHTERM" ]; then
	shopt -s checkwinsize
fi

if [ 1 = "$SHINTERACTIVE" ]; then
	if ! export -p | grep -q 'declare -x PS1='; then
		if [ "$UID" = 0 ]; then
		  PS1="\[\e]0;\u@\h: \w\a\]\[\e[0;31m\]\h>\[\e[m\] "
		elif [ xterm = "$TERM" ]; then
		  PS1="\[\e]0;\u@\h: \w\a\]\[\e]2;\w\a\]\u@\h> "
		else
		  PS1="\[\e]0;\u@\h: \w\a\]\u@\h> "
		fi
	fi

	set completion-query-tems 80
	set convert-meta off
	set input-meta on
	set output-meta on
	set show-all-if-ambiguous on

	export PAGER=/usr/bin/less
	
	if which mcedit >/dev/null; then
		export EDITOR=mcedit
		export FCEDIT=mcedit
	else
		export EDITOR=vi
		export FCEDIT=vi
	fi
	export HISTCONTROL=ignoreboth
	export HISTSIZE=50000

	alias ll="ls -l"
	alias la="ls -a"
	alias lla="ls -al"
	alias cd..="cd ..;pwd"
	alias ..="cd ..;pwd"

	alias mv="mv -i"
	alias move="mv -i"
	alias rm="rm -i"
	alias del="rm -i"
	alias cp="cp -i"
	alias copy="cp -i"

	bash=${BASH_VERSION%.*} ; bmajor=${bash%.*} ; bminor=${bash#*.}
 	[ $bmajor -ge 2 -a $bminor -a -f /etc/bash_completion -a -z "$NO_BASH_COMPLETION" ] && . /etc/bash_completion > /dev/null
	unset bash bmajor bminor
	
fi

shopt -s extglob
