if [ 1 = "$SHPROFILE" ]; then
	export HOSTNAME=`/bin/hostname`
	export HISTSIZE=50000
	export HISTCONTROL=ignoreboth
	export PAGER="/usr/bin/less"

	export FB_COLORIZE=0 FB_INSECURESHELL=0 FB_NO_BASHCOMPLETION=0
	[ -r "$HOME"/.bash_options ] && . "$HOME"/.bash_options
	case "$FB_COLORIZE" in
		1)
			export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
			eval `dircolors`
			export LS_COLORS
			;;
		2)
			export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
			export LS_COLORS='no=00:fi=00:di=01;34:ln=36;04:pi=33:so=35:do=01;35:bd=33:cd=33:ex=32:or=40;31;01:*.tar=31:*.tgz=31:*.arj=31:*.zip=31:*.gz=31:*.bz2=31:*.deb=31:*.rpm=31:*.rar=31:*.jpg=35:*.JPG=35:*.jpeg=35:*.jpg=35:*.gif=35:*.bmp=35:*.pbm=35:*.pgm=35:*.ppm=35:*.xbm=35:*.xpm=35:*.tif=35:*.tiff=35:*.png=35:*.mov=32;04:*.mpg=32;04:*.mpeg=32;04:*.avi=32;04:*.AVI=32;04:*.ogm=32;04:*.wmv=32;04:*.ogg=35:*.mp3=35:*.MP3=35:*.wav=35:*.WAV=35'
			;;
		*)
			export PS1="\[\e]0;\u@\h: \w\a\]\u@\h:\w > "
			;;
	esac

	export PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/games"
	[ -d "$HOME"/bin ] && PATH="$PATH:$HOME/bin"
	cd "$HOME"
fi

if [ 1 = "$SHTERM" ]; then
	stty sane
fi

if [ 1 = "$SHINTERACTIVE" ]; then

	LS_COL=""
	if [ -n "$FB_COLORIZE" ]; then
		if [ "$FB_COLORIZE" -ge 1 ]; then
			LS_COL=" --color=auto"
		fi
	fi

	alias dir="ls -laQF $LS_COL"
	alias ls="ls $LS_COL"
	alias ll="ls -l$LS_COL"
	alias la='ls -A'
	alias fb_features='cp /etc/bash/preset/default.options ~/.bash_options;echo "I: you must relogin to use new ~/.bash_options."'
	if [ "$FB_INSECURESHELL" != 1 ]; then
		alias mv='mv -i'
		alias rm='rm -i'
	fi

	unset LS_COL

	if ! export -p | grep -q 'declare -x PS1='; then
		case "$FB_COLORIZE" in
			1)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31;1m\]\u\[\033[0m\]@\[\033[36;1m\]\h\[\033[0m\]:\[\033[32;1m\]\w\[\033[0m\] > "
				;;
			2)
				export PS1="\[\e]0;\u@\h: \w\a\]\[\033[31m\]\u\[\033[0m\]@\[\033[36m\]\h\[\033[0m\]:\[\033[32m\]\w\[\033[0m\] > "
				;;
			*)
				export PS1="\[\e]0;\u@\h: \w\a\]\u@\h:\w > "
				;;
		esac
	fi
	
	[ -r /etc/bash_completion -a 1 != "$FB_NO_BASHCOMPLETION" ] && . /etc/bash_completion
fi
